Subject: bug#6756: 23.2; `describe-function' describing functions that aren't

From: Juanma Barranquero <[email-masked]>
Date: Fri, 30 Jul 2010 00:55:05 +0200

On Thu, Jul 29, 2010 at 19:22, MON KEY <[email-masked]> wrote:

>  a) the completing-read arg PREDICATE is `fboundp' and REQUIRE-MATCH
>    is t;

REQUIRE-MATCH = t means that "the user is not allowed to exit unless
the input is (or completes to) an element of COLLECTION or is null."

Note the "(or completes to)". Now, completion-styles is (basic
partial-completion emacs22), and description for partial-completion is

  Completion of multiple words, each one taken as a prefix.
  [...etc etc...]
  Additionally the user can use the char "*" as a glob pattern.

So it seems to be working as expected: describe-function* completes to
an element of COLLECTION according to the partial-completion style.

If you try remove partial-completion from completion-styles you'll get
the behavior you want.

    Juanma